﻿@using System.Web.Script.Serialization
@using System.Web.UI.WebControls
@model SportsClub.Models.Registrant.ParentActivityLogFilter

@{
    ViewBag.Title = "Acitvity log";
}

<div class="container">

    <div class="row">
        <div class="col-md-12">
            <div class="title-page">
                <h1>
                    Activity log
                </h1>

                <div class="clearfix"></div>
            </div>

            <div class="wrapper">
                <div id="wrapper-title">
                    <span>
                        Search criteria
                    </span>
                </div>
                <div class="wrapper-content container-fluid">
                    @using (Html.BeginForm("ActivityLog", "Registrant", FormMethod.Get))
                    {
                        <div class="row">
                            <div class="col-md-3">
                                @Html.LabelFor(model => model.Activity)
                                <div>
                                    @Html.DropDownListFor(model => model.Activity, (List<SelectListItem>)ViewBag.Activities, new { @class = "form-control report-dropdown" })
                                </div>
                            </div>

                            <div class="col-md-3">
                                @Html.LabelFor(model => model.UserName)
                                <div>
                                    @Html.TextBoxFor(model => model.UserName, new { @class = "form-control report-dropdown" })
                                </div>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <button type="submit" class="btn btn_side-right-bottom btn_color-green">View logs</button>
                            </div>
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12 result-report">
            <div class="content-result">
                <div class="parent-grid-custom" id="actvityLogGrid">
                </div>
                <script type="text/x-kendo-template" id="template">

                </script>
                <div id="EmptyGrid" class="success" style="display:none">No data found</div>

            </div>

        </div>
    </div>
</div>

@section Styles{
    <link href="~/Content/Student/Dashboard/Dashboard.css" rel="stylesheet" />
}

@section Scripts{

    <script src="~/Scripts/Libraries/KendoUI/kendo.all.min.js"></script>

    <script>

        var url = 'GetActivityLog';

        var jsonFilters = '@Html.Raw(new JavaScriptSerializer().Serialize(Model))';

        var filters = JSON.parse(jsonFilters);

        $("#actvityLogGrid").kendoGrid({
                            dataSource: {
                                type: "json",
                transport: {
                                    read: {
                                        url: url,
                        contentType: "application/json; charset=utf-8",
                        type: "POST"
                                    },
                    parameterMap: function (data, operation) {

                                        if (operation == "read") {
                                            data = $.extend(
                                            {
                                                filters: filters
                            },
                            data);

                    return JSON.stringify(data);
                }
            }
        },

                requestStart: function () {

        },
                requestEnd: function () {

        },
                schema: {
                    total: "TotalCount",
                    data: "DataSource"
                },
                resizable: true,
                sort:
                    [{
                        field: "DateTime",
                        dir: "Desc"
                    }],
                serverPaging: true,
                serverSorting: true,
                pageSize: 10,
            },
            groupable: false,
            sortable: true,
            columnMenu: false,
            pageable: {
                alwaysVisible: false,
                pageSizes: [5, 10, 20, 100]
            },
            columns: [
            {
                width: "40px",
                template: "#if(Status){#<span style='color: green' class='jbi-check-2'> </span>#}else{# <span style='color: red' class='jbi-exclamation'> </span> #}#"
            },
            {
                field: "Action",
                title: "Activity",
                width: "200px",
            },
            {
                field: "Description",
                title: "Description",
            },
            {
                field: "DateTime",
                title: "Time",
                width: "170px",
            },
             {
                field: "UserName",
                title: "User",
                width: "200px",
            },
           {
               title: "Actions",
               width: "70px",
               headerTemplate: "<span class='actions-title'>Actions</span>",
               template: "<button class='btn dropdown-toggle' data-toggle='dropdown' style='background-color: rgba(255,255,255,0);'>...</button> \
                <ul class='dropdown-menu'>\
                       <li>\
                           <a href='/Registrant/ActivityLogDetail?id=#=Id#'> <span class='k-link'>View details</span></a>\
                       </li>\
                   </ul>"
           }
            ],
        });
    </script>

}